/*
 * Mocha
 * Copyright (c) 2002 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

#ifndef _DLL_SERVER_STUB_H_
#define _DLL_SERVER_STUB_H_

#include "DllTypes.h"
#include "EmEventHandler.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

EcomDispatch StubDllBaseInit(EcomFactory* p, ADDR sb, DLL_BASE_INIT_FN_TYPE tPC, ADDR tSB); 

BOOL StubDispatch(UINT32 action, ULONG param1, ULONG param2, void* pParam3,	EcomDispatch tPC, 
				  ADDR tSB); 

BOOL StubHandleEvent(WmState* pState, WmEvent* pEvent, WmHandleEvent tPC, ADDR tSB);

// General Stubs
int Stub0IntArg_int(void* tPC, ADDR tSb);
void Stub1IntArg_void_int(int, void* tPC, ADDR tSb); 

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	// _DLL_SERVER_STUB_H_
