/*
 * Mocha
 * Copyright (c) 2000-2003 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

/*:Associate with "Event Manager" */

#ifndef _EM_EVENT_BROKER_H_
#define _EM_EVENT_BROKER_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "Shp.h"
#include "EmEventTypes.h"

typedef enum
{
	EBP_MAX
} WmEventBrokerPriority;


typedef BOOL (*WmEventBroker)(WmEvent* pEvent, BOOL* pbFiltered, BOOL* pbResult);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _EM_EVENT_BROKER_H_
