/*
 * Samsung Handset Platform
 * Copyright (c) 2000 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

/*:Associate with "SysBase" */

#ifndef _SYS_BASE_H_
#define _SYS_BASE_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "SysAssert.h"
#include "SysDebug.h"
#include "SysError.h"
#include "SysConfig.h"
#include "SysECOM.h"
#include "SysCompIDs.h"
#include "SysDllIDs.h"
#include "SysDllSetting.h"

/*
 * ECOM Interface
 */
#include "SysBaseECOM.h"

#define SET_ACTION(did, offset)  ((UINT32) ((((did) & MASKL24) << 8) + ((offset) & MASKL8)))


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif // _SYS_BASE_H_
