/*
 * Samsung Handset Platform
 * Copyright (c) 2000 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics. 
 */

/*:Associate with "SysBase" */

#ifndef	_SYS_DLL_SETTING_H_
#define _SYS_DLL_SETTING_H_

#include "ShpTypes.h"
#include "SysBaseECOM.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef struct
{
	DID				did;
	EcomDispatch	pDispatch;
} Did2Dispatch;

typedef struct
{
	DID				did;
	BOOL			b;
} Did2Bool;

typedef struct
{
	DID				did;
	const char*		szDLL;
	const char*		szApp;		// Dispatch function name is szApp + "Dispatch"
} Did2Names;


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	// _SYS_DLL_SETTING_H_
