TEMPLATE=lib
TARGET=browser_control
CONFIG(gdk-port) {
	DESTDIR=$$OUTPUT_DIR/lib
}
else{
	DESTDIR=lib
}
QMAKE_CXX = g++
QMAKE_CC = g++
QMAKE_CXXFLAGS += -Wreturn-type -I/usr/include/glib-2.0/glib -I/usr/include/glib-2.0

CONFIG(gdk-port) {
	CTRL_DIR = ../../../BrowserControl
}
else{
	CTRL_DIR = ../BrowserControl
}


INCLUDEPATH += $$CTRL_DIR/interface/inc \
		browsercontrol/inc \
		history/inc \
		cache/inc \
		/usr/include/gtk-2.0/gdk \
		/usr/include/gtk-2.0 \
		/usr/include/glib-2.0 \
		/usr/include/glib-2.0/glib \
		/usr/lib/glib-2.0/include \
		/usr/local/include/gtk-2.0 \
		/usr/local/include/pango-1.0 \
		/usr/local/include/cairo \
		/usr/local/include/atk-1.0 \
		/usr/local/include/gtk-2.0/gdk \
		/usr/local/lib/gtk-2.0/include \
		/usr/include/gtk-2.0 \
		/usr/include/pango-1.0 \
		/usr/include/cairo \
		/usr/include/atk-1.0 \
		/usr/include/gtk-2.0/gdk \
		/usr/lib/gtk-2.0/include \
		../../../WebKit/gtk/Api

#Browser control header and source includes.
HEADERS+=$$CTRL_DIR/browsercontrol/inc/BrowserControl.hpp \
	$$CTRL_DIR/browsercontrol/inc/BrowserControl_Iterator.hpp
SOURCES+=$$CTRL_DIR/browsercontrol/src/BrowserControl.cpp

#History header and source includes.
HEADERS+=$$CTRL_DIR/history/inc/BrowserControl_History.hpp
SOURCES+=$$CTRL_DIR/history/src/BrowserControl_History.cpp

#Cache header and source includes.
HEADERS+=$$CTRL_DIR/cache/inc/BrowserControl_Cache.hpp
SOURCES+=$$CTRL_DIR/cache/src/BrowserControl_Cache.cpp


HEADERS+=$$CTRL_DIR/interface/inc/BrowserControl_Cache_Interface.h \
	$$CTRL_DIR/interface/inc/BrowserControl_DataTypes.h \
	$$CTRL_DIR/interface/inc/BrowserControl_History_Interface.h \
	$$CTRL_DIR/interface/inc/BrowserControl_Interface.h \
	$$CTRL_DIR/interface/inc/BrowserControl_Iterator_Interface.h

SOURCES+=$$CTRL_DIR/interface/src/BrowserControl_Cache_Interface.cpp \
	$$CTRL_DIR/interface/src/BrowserControl_History_Interface.cpp \
	$$CTRL_DIR/interface/src/BrowserControl_Interface.cpp \
	$$CTRL_DIR/interface/src/BrowserControl_Iterator_Interface.cpp

