/*
* ==============================================================================
*  Name        : BrowserControl_Cache.hpp
*  Part of     : Browser Control
*  Description : Cache implementation for the browser control.
*  Version     :
*
*    Copyright (c) 2007,
*    All rights reserved.
* ==============================================================================
*/

#ifndef __BROWSERCONTROL_CACHE_HPP__
#define __BROWSERCONTROL_CACHE_HPP__

#include "BrowserControl_DataTypes.h" 
#include "CMMDefs.h"
/**
 * @defgroup Cache Cache related APIs
 */

//------------------------------------------------------------------------
// Cache Interface API
//------------------------------------------------------------------------
class BrowserControl_Cache CMM_MODIFIED
{
public:

	ESTATUS BrowserControl_DeleteCache();
	ESTATUS BrowserControl_DeleteCookies();
};

#endif //__BROWSERCONTROL_CACHE_HPP__

