#include "config.h"
#ifdef SFB_WIDGET
#include "widget_instance.h"

#include "JSGlobalObject.h"
#include "PropertyNameArray.h"
#include <wtf/Assertions.h>

using std::min;

namespace KJS {
const ClassInfo WidgetInstance::info = {"Widget", 0, 0};
	
	WidgetInstance::WidgetInstance(JSObject* prototype)
    : JSObject(prototype)
	{

	}

	WidgetInstance::~WidgetInstance()
	{
	}

	bool WidgetInstance::getOwnPropertySlot(ExecState* exec, const Identifier& propertyName, PropertySlot& slot)
	{
		if (propertyName == exec->propertyNames().length) {
			
			return true;
		}
		return JSObject::getOwnPropertySlot(exec, propertyName, slot);
	}

	void WidgetInstance::put(ExecState *exec, const Identifier &propertyName, JSValue *value, int attr)
	{
	  if (propertyName == exec->propertyNames().length)
		return;
	  JSObject::put(exec, propertyName, value, attr);
	}
}
#endif