TEMPLATE=lib
TARGET=webkit_bridge
CONFIG(gdk-port) {
	DESTDIR=$$OUTPUT_DIR/lib
}
else{
	DESTDIR=lib
}
QMAKE_CXX = g++
QMAKE_CC = g++
QMAKE_CXXFLAGS += -Wreturn-type 

TOP_DIR = ../../../
WCBR_DIR = $$TOP_DIR/WebCore/bridge/pspl_bridge

INCLUDEPATH +=  \
                $$TOP_DIR/WebCore/page \
                $$TOP_DIR/JavaScriptCore \
                $$TOP_DIR/JavaScriptCore/wtf \
                $$TOP_DIR/WebCore/platform/graphics \                                
                $$TOP_DIR/WebCore/rendering \
                $$TOP_DIR/WebCore/platform \                                
                $$TOP_DIR/WebCore/editing \                                                                
                $$TOP_DIR/WebCore/ForwardingHeaders \
                $$TOP_DIR/WebCore/css \
                $$TOP_DIR/WebCore/dom \
                $$TOP_DIR/WebCore/loader \
                $$TOP_DIR/JavaScriptCore/kjs \


#WebCore Bridge header and source includes.
HEADERS +=  $$WCBR_DIR/WebCoreBridge.h \
            $$WCBR_DIR/WebCoreFormControls.h \
            $$WCBR_DIR/WebCoreFormDataElement.h \
            $$WCBR_DIR/WebCoreFormData.h \
            $$WCBR_DIR/WebCoreFormEvent.h \
            $$WCBR_DIR/WebCoreImageCarrier.h \
            $$WCBR_DIR/WebCoreImageRendererFactory.h \
            $$WCBR_DIR/WebCoreImageRenderer.h \
            $$WCBR_DIR/WebCoreKeyboardAccess.h \
            $$WCBR_DIR/WebCoreKeyValuePair.h \
            $$WCBR_DIR/WebCorePageData.h \
            $$WCBR_DIR/WebCorePalette.h \
            $$WCBR_DIR/WebCoreResourceLoader.h \
            $$WCBR_DIR/WebCoreUrlResponseInfo.h \
            $$WCBR_DIR/WebCoreWidget.h


	
SOURCES +=  $$WCBR_DIR/WebCoreBridge.cpp \
            $$WCBR_DIR/WebCoreImageCarrier.cpp \
            $$WCBR_DIR/WebCoreImageRendererFactory.cpp \
            $$WCBR_DIR/WebCorePageData.cpp

