#if defined(SHP_SUPPORT_WML)
#ifndef __WML_DOELEMENT_H__
#define __WML_DOELEMENT_H__


#include "config.h"
#include "HTMLElement.h"
#include "HTMLNames.h"
#include "HTMLElementFactory.h"

namespace WebCore {

class DocumentFragment;
class HTMLCollection;
class HTMLFormElement;

//WML <do> tag attributes declarations
class WMLDoElement : public HTMLElement 
{
public:
	WMLDoElement ( Document*);
	~WMLDoElement();


	String type() const;
	void setType (const String&);

  String label() const;
  void setLabel (const String&);

	String name() const;
	void setName (const String&);

	String optional() const;
	void setOptional (const String&);

	virtual void handleEvent(EventType eventType, bool bForwardNavigation, bool & bIsEventHandled);

	String getDisplayString() ;
};

} //namespace

#endif //__WML_DOELEMENT_H__
#endif