#if defined(SHP_SUPPORT_WML)
#ifndef __WML_ONEVENTELEMENT_H__
#define __WML_ONEVENTELEMENT_H__

#include "config.h"
#include "HTMLElement.h"
#include "HTMLNames.h"
#include "HTMLElementFactory.h"

namespace WebCore {

class DocumentFragment;
class HTMLCollection;
class HTMLFormElement;

class WMLOneventElement : public HTMLElement 
{
   public:
   WMLOneventElement ( Document*);
  ~WMLOneventElement();

String type() const;
  void setType (const String&);

  String Class() const;
  void setClass (const String&);

  String id() const;
  void setId (const String&);

  virtual void handleEvent(EventType eventType, bool bForwardNavigation, bool & bIsEventHandled);
  String onenterforward(); 
  String onenterbackward();
};

}
#endif //__WML_ONEVENTELEMENT_H__
#endif
