#if defined(SHP_SUPPORT_WML)
#ifndef __WML_SETVARELEMENT_H__
#define __WML_SETVARELEMENT_H__

#include "config.h"
#include "HTMLElement.h"
#include "HTMLNames.h"
#include "HTMLElementFactory.h"

namespace WebCore {

class DocumentFragment;
class HTMLCollection;
class HTMLFormElement;

class WMLSetvarElement : public HTMLElement
{
   public:
	   WMLSetvarElement ( Document*);
	  ~WMLSetvarElement();

	  String Value() const;
	  void setValue (const String &value);

	  String Name() const;
	  void setName (const String &name);

	  virtual void handleEvent(EventType eventType, bool bForwardNavigation, bool & bIsEventHandled);

	  virtual void parseMappedAttribute(MappedAttribute *attr) ;

	private:

};
}
#endif //__WML_SETVARELEMENT_H__
#endif