TEMPLATE=lib
TARGET=webkit_bridge
CONFIG(gdk-port) {
	DESTDIR=$$OUTPUT_DIR/lib
}
else{
	DESTDIR=lib
}
QMAKE_CXX = g++
QMAKE_CC = g++
QMAKE_CXXFLAGS += -Wreturn-type 

CONFIG(gdk-port) {
	CTRL_DIR = ../Bridge
	TOP_DIR = ../../
}
else{
	CTRL_DIR = ../Bridge
}


INCLUDEPATH += $$CTRL_DIR/BrowserView \
                $$CTRL_DIR/ResourceLoader \
                $$TOP_DIR/WebCore/platform \
                $$TOP_DIR/WebCore/ForwardingHeaders \
                $$TOP_DIR/WebCore/ForwardingHeaders/wtf \
                $$TOP_DIR/WebCore/ForwardingHeaders/wtf/unicode \
                $$TOP_DIR/WebCore/platform/network \
                $$TOP_DIR/WebKit \
                $$TOP_DIR/WebKit/JavaScriptCore \                
                $$TOP_DIR/WebCore/bridge/pspl_bridge

#Browser control header and source includes.
HEADERS+=$$CTRL_DIR/BrowserView/WebKitBridge.h \
$$CTRL_DIR/BrowserView/WebKitLoader.h \
$$CTRL_DIR/ResourceLoader/BaseTransaction.h \
$$CTRL_DIR/ResourceLoader/ContentDispatcher.h \
$$CTRL_DIR/ResourceLoader/ContentHandlerInterface.h \
$$CTRL_DIR/ResourceLoader/ContentListener.h \
$$CTRL_DIR/ResourceLoader/ContentLoader.h \
$$CTRL_DIR/ResourceLoader/DefaultContentHandler.h \
$$CTRL_DIR/ResourceLoader/DoublyLL.h \
$$CTRL_DIR/ResourceLoader/HttpLoaderAcceptHeader.h \
$$CTRL_DIR/ResourceLoader/HttpLoaderDefs.h \
$$CTRL_DIR/ResourceLoader/HttpLoader.h \
$$CTRL_DIR/ResourceLoader/HttpTransaction.h \
$$CTRL_DIR/ResourceLoader/PostDataItem.h \
$$CTRL_DIR/ResourceLoader/PostDataPart.h \
$$CTRL_DIR/ResourceLoader/RequestDispatcher.h \
$$CTRL_DIR/ResourceLoader/TransactionManager.h \
$$CTRL_DIR/ResourceLoader/TransactionProgressStatus.h \
$$CTRL_DIR/ResourceLoader/UrlLoader.h \
$$CTRL_DIR/ResourceLoader/UrlRequestInfo.h \
$$CTRL_DIR/ResourceLoader/UrlResponseHeaderInfo.h \
$$CTRL_DIR/ResourceLoader/UrlResponseInfo.h

	
SOURCES+=$$CTRL_DIR/ResourceLoader/BaseTransaction.cpp \
$$CTRL_DIR/ResourceLoader/ContentDispatcher.cpp \
$$CTRL_DIR/ResourceLoader/DefaultContentHandler.cpp \
$$CTRL_DIR/ResourceLoader/DoublyLL.cpp \
$$CTRL_DIR/ResourceLoader/HttpLoader.cpp \
$$CTRL_DIR/ResourceLoader/HttpTransaction.cpp \
$$CTRL_DIR/ResourceLoader/PostDataItem.cpp \
$$CTRL_DIR/ResourceLoader/PostDataPart.cpp \
$$CTRL_DIR/ResourceLoader/RequestDispatcher.cpp \
$$CTRL_DIR/ResourceLoader/TransactionManager.cpp \
$$CTRL_DIR/ResourceLoader/UrlLoader.cpp \
$$CTRL_DIR/ResourceLoader/UrlRequestInfo.cpp \
$$CTRL_DIR/ResourceLoader/UrlResponseHeaderInfo.cpp \
$$CTRL_DIR/ResourceLoader/UrlResponseInfo.cpp 
$$CTRL_DIR/BrowserView/WebKitBridge.cpp \
$$CTRL_DIR/BrowserView/WebKitLoader.cpp




