/*
* ==============================================================================
*  Name        : UrlResponseInfo.cpp
*  Part of     : WebKit / ResourceLoader
*  Interface   :
*  Description : Implementation of UrlResponseInfo
*  Version     : %Version%
* ==============================================================================
*/

// INCLUDE FILES
#include "types.h"
#include "UrlResponseInfo.h"

#ifdef __CMM__
#include <AnsiCLib.h>
#include <allocs.h>
#else
#include "Shp.h"
#endif

// EXTERNAL DATA STRUCTURES

// EXTERNAL FUNCTION PROTOTYPES

// CONSTANTS

// MACROS

// LOCAL CONSTANTS AND MACROS

// MODULE DATA STRUCTURES

// LOCAL FUNCTION PROTOTYPES

// FORWARD DECLARATIONS

// ============================= LOCAL FUNCTIONS ===============================


// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// UrlResponseInfo::UrlResponseInfo
// C++ default constructor
// -----------------------------------------------------------------------------
//
UrlResponseInfo::UrlResponseInfo()
    : m_body( NULL ),
      m_headerInfo( NULL ),
      m_requestInfo( NULL ),
      m_transportHandle( 0 )
    {
    }

// Destructor
UrlResponseInfo::~UrlResponseInfo()
{
	//shkim
  //  free(m_body);
    delete m_headerInfo;
}

//  End of File


