/**
 * Samsung Handset Platform
 * Copyright (c) 2000 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics.
 */

/**
 *  This file defined all virtual table initialization for Webcontrol
 * 
 * @name       vtables_init.c - for virtual table initialization
 * @author     Pushparajan (rajan.vp@samsung.com)
 */
#include "Webcontrol.h"

#define CHECK_POINTER(x) if(##x) { SysDebug((MID_EXCEPTION, "%s=NULL","##x")); }

void browser_vtable_init()
{
	CHECK_POINTER(&WebControl::WebControl::getGC);
}

