/**
 * Samsung Handset Platform
 * Copyright (c) 2000 Software Center, Samsung Electronics, Inc.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Samsung Electronics, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Samsung Electronics.
 */

/**
 *  Libxml uses BAL functionalities, which are exposed thru UrlLoaderECOM.h.
 * But, Libxml being a C project throws errors on including UrlLoaderECOM.h.
 * This file aims to achieve a work around the above problem.
 * 
 * @name        BalPointers.cpp
 * @author      Zafar Hussain ( zafar.h@samsung.com )
 */
#if 0
#if defined(_JASMINE_ECOM)
#include "ShpJasmine.h"
#include "BalPointers.h"


#if defined(__cplusplus)
extern "C" {
#endif

static Libfptr gstLibPtr;
Libfptr *gpLibPtr;


void __InitLibxml()
{	
	gstLibPtr.gLibxmlMemAlloc= __UrlLoaderGetVtbl()->BALMemAlloc;
	gstLibPtr.gLibxmlMemCalloc=__UrlLoaderGetVtbl()->BALMemCalloc;
	gstLibPtr.gLibxmlMemRealloc=__UrlLoaderGetVtbl()->BALMemRealloc;
	gstLibPtr.gLibxmlMemFree=__UrlLoaderGetVtbl()->BALMemFree;
	gpLibPtr=&gstLibPtr;		
}

#if defined(__cplusplus)
}
#endif // __cplusplus

#endif
#endif // _JASMINE_ECOM
