#ifndef _WM_WIN_CORE_H_
#define _WM_WIN_CORE_H_

#ifdef __cplusplus
extern "C" {
#endif 

#include "WmCrayon.h"
#include "WmWinType.h"
#include "EventMgr.h"
#include "DllServerStub.h"

#define	MAIN_STYLE_INDICATOR		0x00000080
#define	MAIN_STYLE_SOFTKEY			0x010
#define MAIN_STYLE_DISPLAY_DIRECTION	0x00400000

HWIN	WsCreateMain (int rectX, int rectY, int rectW, int rectH, int style, int screen, WmEventMapEntry* pMainEventMap );

typedef enum
{
	MAIN_DISPLAY_DIRECTION_AUTO,	
}WsMainDisplayDirection;

BOOL WsSetMainDisplayDirection(HWIN hWin, int iDirection);

#define VIRTUALEDIT_STYLE_NORMAL		0x00000001

typedef enum
{
	FORM_SYS_VIRTUALEDIT,
}FormSystem_enum;

#define IDS_COM_POP_CREATEMSG_EXIT_VIRTUAL_KEYBOARD_WITHOUT_SAVING_Q 1

typedef enum
{
	FORM_LAYOUT,
	FORM_ITEM_3,
}RsrcForm_ctrl_enum;

#define IDB_CHECK_ON_DIM	0x0001
#define IDB_CHECK_OFF_DIM	0x0002

#define	MAIN_STYLE_NO_SOFTKEY		0x00000000

BOOL	_WmDestroyWindow ( HWIN hWin, BOOL bWinset, BOOL bInternal, char* szFileName, int nLine );

#define WmDestroyWindow( hWin )											\
		_WmDestroyWindow( hWin, FALSE, FALSE, __FILE__, __LINE__ )

BOOL	WmSetWindowBgColor ( HWIN hWin, COLOR bgColor );
BOOL	WmSetWindowStyle ( HWIN hWin, int style );
int		WmGetWindowStyle ( HWIN hWin ); 
BOOL	WmSetWindowFont ( HWIN hWin, HFNT hFont );
BOOL	WmGetWindowType ( HWIN hWin, int *pType );
BOOL	WmSetWindowPos ( HWIN hWin, int rectX, int rectY );
BOOL	WmGetWindowClientRect ( HWIN hWin, WmRect *prcWindow );
BOOL	WmGetScreenMetrics ( WmScreenMetrics *pScreenMetrics, WmScreen screen );
BOOL	WmIsWindowValid ( HWIN hWin );

#define WmGetFocusWindow()			_WmGetFocusWindow( SCREEN_MAIN )

HWIN	_WmGetFocusWindow ( WmScreen screen );
BOOL	WmSetFocusWindow ( HWIN hWin );

HWIN	WmGetParentWindow ( HWIN hWin );

#define	WmDrawWindow(hWin,bDrawChild)			\

#define	WmShowWindow(hWin)				\

BOOL	WmCallNextKeyPressedHandler( WmState *pState, WmEvent *pEvent );
BOOL	WmCallNextNotifyHandler ( WmState *pState, WmEvent *pEvent );
BOOL	WmSetWindowTransparentMode ( HWIN hWin, BOOL bUsed );

#ifdef __cplusplus
}
#endif

#endif