#ifndef __MEMTYPES_H__
#define __MEMTYPES_H__

/**
 * Basic Data Types.
 * Fundamental data type definitions.
 * @ingroup BasicDataTypes
 */

typedef char				gchar; 
typedef int					gint; 
typedef gint				gboolean;
typedef gboolean			gbool;
typedef unsigned int		guint; 

typedef signed char			gint8;
typedef unsigned char		guint8;
typedef signed short		gint16;
typedef unsigned short		guint16;
typedef signed int			gint32;
typedef unsigned int		guint32;
typedef signed long long	gint64;
typedef unsigned long long	guint64;

#ifndef BOOL
typedef int					BOOL;
#endif

#define						gfalse	0
#define						gtrue	!gfalse

#endif /*__MEMTYPES_H__*/