#if defined(SHP_SUPPORT_WML)
#ifndef __WML_TEMPLATEELEMENT_H__
#define __WML_TEMPLATEELEMENT_H__

#include "config.h"
#include "HTMLElement.h"
#include "HTMLNames.h"
#include "HTMLElementFactory.h"

namespace WebCore {

class DocumentFragment;
class HTMLCollection;
class HTMLFormElement;

//WML <template> tag attributes declarations
class WMLTemplateElement : public HTMLElement 
{
public:
	WMLTemplateElement ( Document*);
	~WMLTemplateElement();

	String onenterbackward() const;
	void setOnenterbackward (const String&);

	String onenterforward () const;
	void setOnenterforward (const String&);

	String ontimer () const;
	void setOntimer (const String&);

	virtual void attach() ;
	virtual void detach() ;
	virtual void handleEvent(EventType eventType, bool bForwardNavigation, bool & bIsEventHandled);

};

}//namespace

#endif //__WML_TEMPLATEELEMENT_H__
#endif