#ifndef _WM_GRP_INTERFACE_H_
#define _WM_GRP_INTERFACE_H_

#include "WmWinCore.h"
#include "WmWinOverlay.h"
#if defined (_SHP_GWES_OVERLAY_CTRL)
#include "WmGrpOverlay.h"
#endif

HGC	    __WmCreateClientGC ( HWIN hWin );
HGC     __WmCreateClientSubGC ( HWIN hWin, int rectX, int rectY, int rectW, int rectH, char * allocFile, int allocLine  );

#define WmCreateClientGC(  hWin )	__WmCreateClientGC(  hWin, __FILE__, __LINE__ )
#define WmCreateClientSubGC(  hWin,  rectX,  rectY,  rectW,  rectH )	__WmCreateClientSubGC(  hWin,  rectX,  rectY,  rectW,  rectH, __FILE__, __LINE__ )

HGC	__WmCreateWindowSubMemGCInternal ( HWIN hWin, int bitsPerPixel, int rectX, int rectY, int rectW, int rectH, char * allocFile, int allocLine );
HGC	__WmCreateClientSubMemGCInternal ( HWIN hWin, int bitsPerPixel, int rectX, int rectY, int rectW, int rectH, char * allocFile, int allocLine );
//
HGC	__WmCreateWindowMemGC ( HWIN hWin, char * allocFile, int allocLine );
HGC	__WmCreateWindowSubMemGC( HWIN hWin, int rectX, int rectY, int rectW, int rectH, char * allocFile, int allocLine );

#define WmCreateWindowMemGC(  hWin )		__WmCreateWindowMemGC(  hWin, __FILE__, __LINE__ )
#define WmCreateWindowSubMemGC(  hWin,  rectX,  rectY,  rectW,  rectH )		__WmCreateWindowSubMemGC(  hWin,  rectX,  rectY,  rectW,  rectH, __FILE__, __LINE__ )

#define WmCreateWindowSubMemGC32(  hWin,  rectX,  rectY,  rectW,  rectH )		__WmCreateWindowSubMemGCInternal(  hWin,  32, rectX,  rectY,  rectW,  rectH, __FILE__, __LINE__ )
#define WmCreateClientSubMemGC32(  hWin,  rectX,  rectY,  rectW,  rectH )		__WmCreateClientSubMemGCInternal(  hWin,  32, rectX,  rectY,  rectW,  rectH, __FILE__, __LINE__ )

BOOL    __WmDeleteGC ( HGC hGC, BOOL bOverlay, char * freeFile, int freeLine);
#define WmDeleteGC(hGC)		__WmDeleteGC(__WmGetHGC(hGC), FALSE, __FILE__, __LINE__)

BOOL    WmShowGC ( HGC hGC );

BOOL    WmShowGCRectArea ( HGC hGC, int rectX, int rectY, int rectW, int rectH );

#endif