#ifndef _WS_COMBOBOX_H_
#define _WS_COMBOBOX_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "WsCommon.h"

#define COMBOBOX_STYLE_SIMPLE					0x00000002
#define COMBOBOX_STYLE_DROP_DOWN_LIST			0x00000020	
#define COMBOBOX_STYLE_FRAME					0x00000100
#define COMBOBOX_STYLE_LIST_FRAME				0x00000200
#define COMBOBOX_STYLE_SIMPLE_DROP_DOWN_LIST	(COMBOBOX_STYLE_SIMPLE | COMBOBOX_STYLE_FRAME | COMBOBOX_STYLE_LIST_FRAME | COMBOBOX_STYLE_DROP_DOWN_LIST)

	HWIN	WsCreateComboBox				( HWIN hWinParent, int style, int iMaxDropLineCount, int rectX, int rectY, int rectW, int rectH, WmEventMapEntry* pEventMap );
	BOOL	WsShowComboBoxDrop				( HWIN hWinComboBox, BOOL bShow );
	BOOL	WsSetComboBoxCurSelItem 		( HWIN hWinComboBox, int iIndex );
	int		WsGetComboBoxCurSelItemIndex 	( HWIN hWinComboBox );
	BOOL	WsAddComboBoxTextItem 			( HWIN hWinComboBox, MCHAR* mszText );
	BOOL	WsEnableComboBoxItem			( HWIN hWinComboBox, int iIndex, BOOL bEnable );
	BOOL	WsGetComboBoxItemEnabled		( HWIN hWinComboBox, int iIndex );

#ifdef __cplusplus
}
#endif

#endif