#ifndef	_RSRC_ECOM_H_
#define _RSRC_ECOM_H_

#ifdef __cplusplus
extern "C" {
#endif

ECOM_INTERFACE(ERsrcMgr)
{
	WmBitmap*	(*LoadBitmapEx)(const char* szFileName, int bitmapID, const char* szFile, int nLine);
	BOOL		(*FreeBitmapEx)(WmBitmap* pbmBitmap, const char* szFile, int nLine);
	MCHAR*		(*LoadString)(int stringID);
};

#	define RsrcLoadBitmapEx				(__RsrcGetVtbl()->LoadBitmapEx)
#	define RsrcFreeBitmapEx				(__RsrcGetVtbl()->FreeBitmapEx)
#	define RsrcLoadString				(__RsrcGetVtbl()->LoadString)

typedef struct
{
	DECLARE_ECOM_VTBL(ERsrcMgr)
	UINT32		refCount;
} TRsrcMgr;

extern TRsrcMgr	rsrcMgr;

#ifdef __cplusplus
}
#endif

#endif